/* Code for COMP 102 Test
 * Name:
 * Usercode:
 * ID:
 */

import java.util.*;
import comp100.*;
import javax.swing.*;
import java.awt.event.*;
import java.awt.BorderLayout;
import java.awt.Color;
import java.io.*;


/** <description of class Balloon>
 */
public class Balloon{
  // Fields
  private DrawingCanvas canvas;
  private int radius = 5;
  private int centerX, centerY;
  private Color color = new Color((float)Math.random(),(float)Math.random(),(float)Math.random());


  // Constructors
  /** Construct a new Balloon object. 
      Parameters are the DrawingCanvas and the 
   */
  public Balloon(DrawingCanvas c, int x, int y){
    this.centerX = x;
    this.centerY = y;
    this.canvas = c;
    this.draw();
  }

  public void draw(){
    this.canvas.setColor(color);
    this.canvas.fillOval(centerX-radius, centerY-radius, radius*2, radius*2);
    this.canvas.setColor(Color.black);
    this.canvas.drawOval(centerX-radius, centerY-radius, radius*2, radius*2);
  }
    
  public void expand(int step){
    this.radius = this.radius + step;
    this.draw();
  }

  public boolean touches(Balloon other){
    int dx = other.centerX - this.centerX;
    int dy = other.centerY - this.centerY;
    int dist = other.radius + this.radius;
    return ((dx*dx + dy*dy) < dist*dist);
  }


}
